sem_acquire
sem_release
Semaphore Functions
PHP Manual

# sem_get

(PHP 4, PHP 5)

sem_get — Get a semaphore id

### Description

resource sem_get ( int `$key` [, int `$max_acquire` [, int `$perm` [, int `$auto_release` ]]] )

sem_get() returns an id that can be used to access the System V semaphore with the given `key` .

A second call to sem_get() for the same key will return a different semaphore identifier, but both identifiers access the same underlying semaphore.

### Parameters

`key`

`max_acquire`

  The number of processes that can acquire the semaphore simultaneously is set to `max_acquire` (defaults to 1).

`perm`

  The semaphore permissions. Defaults to 0666. Actually this value is set only if the process finds it is the only process currently attached to the semaphore.

`auto_release`

  Specifies if the semaphore should be automatically released on request shutdown.

### Return Values

Returns a positive semaphore identifier on success, or `FALSE` on error.

### ChangeLog

Version | Description
--- | ---
4.3.0 | The `auto_release` parameter was added.

### See Also

- sem_acquire()
- sem_release()
- ftok()

sem_acquire
sem_release
Semaphore Functions
PHP Manual